sc::Int1eCCA(3)

NAME
sc::Int1eCCA -

Int1eCCA adapts CCA integrals components for use within SC.

SYNOPSIS

#include <int1e.h>

Inherits sc::RefCount.

  Public Member Functions
Int1eCCA (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, int order, IntegralEvaluatorFactory, std::string, bool)
double * buffer ()
void overlap (int ish, int jsh)
void overlap_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void kinetic (int ish, int jsh)
void kinetic_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void nuclear (int ish, int jsh)
void nuclear_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void hcore (int ish, int jsh)
void hcore_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)

  Protected Attributes
Integral * integral_

  Additional Inherited Members

Detailed Description

Int1eCCA adapts CCA integrals components for use within SC. It is used by OneBodyIntCCA and OneBodyDerivIntCCA to implement the IntegralCCA class.

Author

Generated automatically by Doxygen for MPQC from the source code.